## clinica 0.2.1~dfsg

=== wscript ===
#!/usr/bin/env python

import os
import sys
import Utils

VERSION = "0.2.1"
VERSION_MAJOR_MINOR =  ".".join(VERSION.split(".")[0:2])
APPNAME = "clinica"

top = '.'
out = '_build_'

def options (opt):
    opt.load ('compiler_cc glib2 gnu_dirs')

def put_config_h_in (ctx, destination):
    
    # Config.h for libclinica
    ctx.define ("GETTEXT_PACKAGE", APPNAME)
    ctx.define('PACKAGE', APPNAME)
    ctx.define('PACKAGE_NAME', APPNAME)
    ctx.define('PACKAGE_STRING', APPNAME + '-' + VERSION)
    ctx.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)

    ctx.define('VERSION', VERSION)
    ctx.define('VERSION_MAJOR_MINOR', VERSION_MAJOR_MINOR)

    ctx.write_config_header (os.path.join (destination, "config.h"))


def configure(ctx):
    ctx.load ('compiler_cc gnu_dirs glib2 intltool vala')
    ctx.check_vala (min_version = (0,12,0))

    # Some definitions
    ctx.check_cfg(package='glib-2.0', uselib_store='GLIB',
                   atleast_version='2.14.0', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='gobject-2.0', uselib_store='GOBJECT',
                   atleast_version='2.14.0', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='gtk+-3.0', uselib_store='GTK+',
                   atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='sqlite3', uselib_store='SQLITE',
                   atleast_version='3.0', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='gee-1.0', uselib_store='GEE',
                   atleast_version='0.5', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='libpeas-1.0', uselib_store='PEAS',
                   atleast_version='0.7.0', mandatory=True, args='--cflags --libs')
    ctx.check_cfg(package='libpeas-gtk-1.0', uselib_store='PEASGTK',
                   atleast_version='0.7.0', mandatory=True, args='--cflags --libs')

    ctx.find_program ('glib-compile-schemas', var='GLIB_COMPILE_SCHEMAS')
    ctx.find_program ('g-ir-compiler', var = 'G_IR_COMPILER')

    ctx.env.append_value ('VALAFLAGS', '-g')

    put_config_h_in (ctx, "libclinica")
    put_config_h_in (ctx, "clinica")
    put_config_h_in (ctx, "plugins")

    ctx.env.append_value ('CFLAGS', '-g -DHAVE_CONFIG_H -include config.h'.split ())

def build(bld):
    bld.add_subdirs('libclinica')
    bld.add_subdirs('clinica')
    bld.add_subdirs('plugins')

    # Translations
    bld (
        features = 'intltool_po', 
        podir = 'po',
        appname = 'clinica'
        )

    # Install data files
    topdir = bld.path.find_dir (top)
    bld.install_files ('${PREFIX}/share/clinica', topdir.ant_glob ('ui/*'),
                       relative_trick = True)
    bld.install_files ('${PREFIX}/share/clinica', topdir.ant_glob ('ui/icons/*'),
                       relative_trick = True)

    # Install the help
    help_dir = bld.path.find_dir ("help")
    bld.install_files ('${PREFIX}/share/gnome/help/clinica',
                       help_dir.ant_glob ('**/*.page'), relative_trick = True,
                       cwd = help_dir)
    bld.install_files ('${PREFIX}/share/gnome/help/clinica',
                       help_dir.ant_glob ('**/figures/*'), relative_trick = True,
                       cwd = help_dir)

    # Install the applications shortcut
    bld.install_files ('${PREFIX}/share/applications',
                       'clinica.desktop')

    # And the icons
    bld.install_files ('${PREFIX}/share/pixmaps',
                       'ui/icons/clinica.svg')

    # ..and the man documentation
    bld.install_files ('${PREFIX}/share/man/man1', 'doc/clinica.1')

def update_potfile_list (ctx):
    """Update the file POTFILES.in"""
    source_files = map (lambda x : os.path.join ("libclinica", x),
                        filter (lambda x : x.endswith (".vala") or x.endswith (".c"),
                                os.listdir ("libclinica")))
    source_files += map (lambda x : os.path.join ("clinica", x),
                         filter (lambda x : x.endswith (".vala"),
                                 os.listdir ("clinica")))
    source_files += map (lambda x : os.path.join ("ui", x),
                         filter (lambda x : x.endswith (".glade"),
                                 os.listdir ("ui")))
    with open ("po/POTFILES.in", "w") as handle:
        handle.write ("[encoding: UTF-8]\n")
        handle.write ("\n".join (source_files))

    print("""POTFILES.in has been regenerated, you may want to run intltool-update on the po files.
For example: cd po && intltool-udpate it
""")
        
def run(ctx):
    from waflib import Options
    Options.commands = [ 'build', '__do_run' ] + Options.commands

def __do_run (ctx):
    ctx.exec_command ("LD_LIBRARY_PATH=./_build_/libclinica ./_build_/clinica/clinica")

def debug (ctx):
    ctx.exec_command ("LD_LIBRARY_PATH=./_build_/libclinica gdb --args ./_build_/clinica/clinica")

def update_po (ctx):
    # Get the list of languages 
    with open("po/LINGUAS") as handle:
        content = handle.read()
    languages = filter (lambda x : len(x) == 2 and x.strip()[0] != '#', content.split("\n"))
    os.chdir ("po")
    ctx.exec_command("intltool-update -p -g clinica")
    for code in languages:
        ctx.exec_command("intltool-update -g clinica %s" % code)

=== clinica/wscript ===
#!/usr/bin/env python

def build(bld):
	bld.add_group ("clinica")
	prog = bld(features='c cprogram')
	bld.set_group ("clinica")

	# symbolic name used to reference this object
	prog.name = 'clinica.program'

	# name of the resulting program
	prog.target = 'clinica'
	prog.source = 'Clinica.vala'

	# Modules
	prog.uselib = 'GOBJECT PEAS GTK+ GEE SQLITE PEASGTK'
	prog.use = 'clinica.shlib'

	# Vala packages to use
	prog.packages = 'gtk+-3.0 Peas-1.0 PeasGtk-1.0 sqlite3 gee-1.0 config clinica'

	# Extra vapi dirs
	prog.vapi_dirs = [ '../vapi', '../libclinica' ]

	# Extra includes
	prog.includes = [ '.', '../libclinica' ]

=== libclinica/wscript ===
#!/usr/bin/env python
#

import os

def build(bld):
	bld.add_group ("libclinica")
	prog = bld(features = 'c cshlib glib2', valaflags=[ "-g" ])
	bld.set_group ("libclinica")

	# Symbolic name used to reference this object
	prog.name = 'clinica.shlib'

	# Name of the resulting program
	prog.target = 'clinica'
	prog.vnum = "0.2.1"

	# Load all vala files in the current directory
	prog.source = filter (lambda source_file : (source_file.endswith(".vala") or source_file.endswith (".c")), 
			      os.listdir ("libclinica"))

	# prog.vapi_path = '.'
	prog.gir = 'Clinica-0.2'
	prog.includes = '.'

	# libraries to link against
	prog.uselib = 'GOBJECT PEAS GTK+ GEE SQLITE PEASGTK'

	# Vala packages to use
	prog.packages = 'gtk+-3.0 Peas-1.0 PeasGtk-1.0 sqlite3 gee-1.0 config posix'
	prog.vapi = 'clinica-0.2'

	# Extra vapi dirs
	prog.vapi_dirs = '../vapi'

	# Enable threading
	prog.threading = True

	# Create the typelib once the gir file has been generated
	bld (rule = '${G_IR_COMPILER} --shared-library=libclinica.so --output=${TGT} ${SRC}',
	     source = 'Clinica-0.2.gir',
	     target = 'Clinica-0.2.typelib',
	     install_path = '${PREFIX}/lib/girepository-1.0')

	# Install the schema file
	bld.install_files ('${PREFIX}/share/glib-2.0/schemas',
			   '../org.phcteam.clinica.gschema.xml')
	bld.add_post_fun (compile_schemas)

def compile_schemas (bld):	
	# If this is the install compile the schema
	if bld.options.destdir != '':
		destdir = bld.options.destdir
	else:
		destdir = '/'
	if bld.is_install:
		command = '%s %s/glib-2.0/schemas' % (
				bld.env['GLIB_COMPILE_SCHEMAS'],
				os.path.join (destdir, bld.env['DATADIR'][1:]))
		bld.exec_command (command)

=== plugins/wscript ===
#!/usr/bin/env python
#

plugins_install_path = "${PREFIX}/lib/clinica/plugins"

def build (ctx):
    ctx.set_group ("clinica")

    # Plugin CodiceFiscale
    cf = ctx (features = "c cshlib")
    cf.name = "codice_fiscale.cshlib"
    
    cf.target = 'CodiceFiscale'
    cf.source = 'CodiceFiscale.vala'
    cf.use = 'clinica'
    cf.includes = [ '.', '../libclinica' ]

    cf.uselib = 'PEAS PEASGTK GEE GTK'

    # Vala packages to use
    cf.packages = 'gtk+-3.0 Peas-1.0 PeasGtk-1.0 sqlite3 gee-1.0 config clinica'

    # Extra vapi dirs
    cf.vapi_dirs = [ '../vapi', '../libclinica' ]
    cf.install_path = plugins_install_path
    ctx.install_files (plugins_install_path, "CodiceFiscale.plugin")

    # Plugin AgenziaDelFarmaco
    ctx.install_files (plugins_install_path, [ "AgenziaDelFarmaco.py",
                                               "AgenziaDelFarmaco.plugin" ])
    
    # Push plugins on the build directory so we can run
    # clinica in the local dir
    for plugin in ['AgenziaDelFarmaco.plugin', 'CodiceFiscale.plugin', 'AgenziaDelFarmaco.py' ]:
        push_plugin (ctx, plugin)
    
    
def push_plugin (ctx, plugin_file):    
    # Install plugins file in the _build_ directory so clinica can
    # run from a local build
    ctx (rule = 'cp ${SRC} ../_build_/plugins/${SRC[0].name}',
         source = plugin_file)

=== debian/changelog ===
clinica (0.2.1~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #652658)
  * Moved man page to the clinica binary package
  * Fixed a dependency of clinica-plugins on clinica-dev
  * Extracted waf binary to make the package debian compliant

 -- Leonardo Robol <leo@robol.it>  Sat, 07 Jan 2012 10:55:16 +0100

=== debian/control ===
Source: clinica
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Leonardo Robol <leo@robol.it>
Build-Depends: debhelper (>= 8), 
	       python, 
	       libglib2.0-dev, 
	       libgee-dev, 
	       libsqlite3-dev, 
	       libgtk-3-dev, 
	       valac-0.14, 
	       intltool (>= 0.35), 
	       gobject-introspection (>= 0.9), 
	       libpeas-dev, 
	       gir1.2-peas-1.0, 
	       gir1.2-gtk-3.0, 
	       gir1.2-gee-1.0, 
	       gir1.2-glib-2.0, 
Standards-Version: 3.9.2
Homepage: http://launchpad.net/clinica-project
Vcs-Browser: http://git.debian.org/?p=debian-med/clinica.git
Vcs-Git: git://git.debian.org/git/debian-med/clinica.git

Package: clinica
Architecture: any
Depends: ${shlibs:Depends}, 
	 ${misc:Depends}, 
	 ${gir:Depends},
	 gir1.2-clinica-0.2,
	 clinica-common,
	 libclinica0
Description: Simple medical records manager
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins

Package: gir1.2-clinica-0.2
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: Simple medical records manager (gobject introspection files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the GObject introspection files.

Package: clinica-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clinica, gir1.2-clinica-0.2, gir1.2-gee-1.0, gir1.2-gtk-3.0, gir1.2-peas-1.0, clinica-dev
Description: Simple medical records manager (plugins)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the plugins that are shipped with the tarball
 of the software.

Package: libclinica0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-clinica-0.2
Description: Simple medical records manager (shared library)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the shared library with the routines shared by clinica
 and its plugins.

Package: clinica-common
Architecture: all
Depends: ${misc:Depends}
Description: Simple medical records manager (architecture independent files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the architecture independent files.

Package: clinica-dev
Architecture: any
Depends: clinica, libclinica0 (= ${binary:Version}), ${misc:Depends}
Description: Simple medical records manager (development files)
 Simple tool for the desktop to mantain medical records.
 It is thought to be easy to use and it's mainly addressed to a single doctor.
 .
 It features:
  * Patient management
  * Doctor management (with associated patients)
  * Visit creation/editing
  * Medicine search online (via plugins)
  * Calendar for events and visits
  * Extensibility via plugins
 .
 This package contains the headers for the C routines of libclinica.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for clinica

%:
	dh $@

clean:
	dh $@
	./waf --nocache distclean
	rm -f gschemas.compiled
	if test -d "waflib"; then find waflib -name "*.pyc" -delete; fi

override_dh_auto_configure:
	./waf --nocache configure --prefix=/usr

override_dh_auto_build:
	./waf --nocache build

override_dh_auto_install:
	./waf --nocache install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs Changelog

get-orig-source:
	. debian/get-orig-source

## clinica 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
project (clinica C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

set(GETTEXT_PACKAGE "clinica")
set(VERSION "0.3.0")
set(PACKAGE_VERSION "0.3.0")
set(MAJOR_VERSION "0")
set(MINOR_VERSION "3")
set(PATCH_VERSION "0")
set(RESOURCE_BASE "/org/phcteam/clinica/")

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.16.0" MINIMUM)
include(ValaPrecompile)

set (GSETTINGS_COMPILE_IN_PLACE off)
set (CLINICA_VALAFLAGS "")

find_program (G_IR_COMPILER
	g-ir-compiler
)

find_program (GLIB_COMPILE_RESOURCES
	glib-compile-resources
)

if(NOT GLIB_COMPILE_RESOURCES)
  message(FATAL_ERROR
	"Could not found the glib-compile-resource command.")
endif(NOT GLIB_COMPILE_RESOURCES)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
	gee-1.0>=0.6.0 
	gtk+-3.0>=3.0 
	sqlite3>=3.7.4 
	libsoup-2.4 
	gio-2.0 
	glib-2.0 
	librsvg-2.0
	jansson
)

IF(NOT DISABLE_PLUGINS)
pkg_check_modules(PLUGINS REQUIRED
	libpeas-gtk-1.0
	libpeas-1.0>=1.0
)
set (PLUGINS_PACKAGES
	libpeas-1.0 libpeas-gtk-1.0
)
LIST(APPEND CLINICA_VALAFLAGS -D HAVE_PLUGINS)
ENDIF(NOT DISABLE_PLUGINS)

find_package(PkgConfig)

set (CLINICA_USED_PACKAGES
	sqlite3 libsoup-2.4 gtk+-3.0 gio-2.0 glib-2.0 gmodule-2.0 gee-1.0 
        ${PLUGINS_PACKAGES} config posix librsvg-2.0 jansson
)

set (CLINICA_USED_LIBRARIES
	${DEPS_LDFLAGS} ${DEPS_LIBRARIES}
	${PLUGINS_LDFLAGS} ${PLUGINS_LIBRARIES}
)
IF (WINDOWS_BUILD)
        LIST(APPEND CLINICA_USED_LIBRARIES -mwindows)
ENDIF (WINDOWS_BUILD)


LIST (APPEND CLINICA_VALAFLAGS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_BINARY_DIR}/libclinica
	-g --thread --target-glib=2.32
)

set (CLINICA_USED_CFLAGS
	${DEPS_CFLAGS} ${PLUGINS_CFLAGS} -Werror=format-security
	-include ${CMAKE_BINARY_DIR}/config.h -I${CMAKE_BINARY_DIR}
	-I${CMAKE_BINARY_DIR}/libclinica -g
)

configure_file (config.h.in config.h)

add_subdirectory(libclinica)
add_subdirectory(clinica)
add_subdirectory(po)
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(plugins)

=== clinica/CMakeLists.txt ===
set (CLINICA_SRC
	Clinica.vala
)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
        gee-1.0>=0.6.0
        gtk+-3.0>=3.0
        libpeas-1.0>=1.0
        sqlite3>=3.7.4
        json-glib-1.0
        libsoup-2.4
        libpeas-gtk-1.0
        gio-2.0
        glib-2.0
)

set(CLINICA_PACKAGES
	${CLINICA_USED_PACKAGES} clinica
)
vala_precompile (CLINICA_C clinica-vala
	${CLINICA_SRC}
PACKAGES
	${CLINICA_PACKAGES}
OPTIONS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_BINARY_DIR}/libclinica
)

if (WINDOWS_BUILD)
add_custom_command (
	OUTPUT clinica-rc.o
	COMMAND ${CMAKE_RC_COMPILER} -o clinica-rc.o -O coff ${CMAKE_SOURCE_DIR}/data/clinica.rc
)
set (CLINICA_RC clinica-rc.o)
endif (WINDOWS_BUILD)

add_executable(clinica-client ${CLINICA_C} ${CLINICA_RC})
add_definitions(${CLINICA_USED_CFLAGS} -I${CMAKE_BINARY_DIR}/libclinica)
target_link_libraries (clinica-client clinica ${DEPS_LIBRARIES})
set_target_properties(clinica-client PROPERTIES OUTPUT_NAME clinica)
set_target_properties(clinica-client PROPERTIES LINKER_LANGUAGE C)

INSTALL (TARGETS clinica-client
	RUNTIME DESTINATION bin
)

=== data/CMakeLists.txt ===
include (GSettings)
add_schemas(clinica-schemas ${CMAKE_SOURCE_DIR}/data/org.phcteam.clinica.gschema.xml)

install (FILES
	clinica.desktop
	DESTINATION share/applications
)

install (FILES
	org.phcteam.clinica.gschema.xml
	DESTINATION share/glib-2.0/schemas
)

install (FILES
	clinica.svg
	DESTINATION share/pixmaps
)

install (FILES org.phcteam.clinica.service
	DESTINATION share/dbus-1/services)

add_subdirectory (help)

=== doc/CMakeLists.txt ===
install (FILES clinica.1 
	DESTINATION share/man/man1)

=== libclinica/CMakeLists.txt ===
set(LIBCLINICA_SRC
    AboutDialog.vala
    Application.vala
    AuthDomain.vala
    AuthenticationDialog.vala
    BackupEngine.vala
    Buildable.vala
    Builder.vala
    CalendarEventList.vala
    CalendarHeader.vala
    CalendarToolbar.vala
    Calendar.vala
    CalendarView.vala
    CalendarWindow.vala
    CoreActivatable.vala
    DataProvider.vala
    DataServer.vala
    DateHandler.vala
    DateSwitcher.vala
    DateTimePicker.vala
    Day.vala
    DoctorContextMenu.vala
    DoctorEditor.vala
    DoctorFilteredStore.vala
    DoctorListPage.vala
    DoctorListStore.vala
    DoctorListView.vala
    Doctor.vala
    EmptyVisitIterator.vala
    EventDetail.vala
    EventEditor.vala
    EventIterator.vala
    EventListStore.vala
    Event.vala
    FileDetail.vala
    FileObject.vala
    FileStore.vala
    FindEntry.vala
    ImportDialog.vala
    LocalFileStore.vala
    LocalMedicinesDatabase.vala
    MedicineBrowserDialog.vala
    MedicineDetailDialog.vala
    MedicineEditor.vala
    MedicineSearchEngine.vala
    MedicineSearchPage.vala
    MedicineTreeView.vala
    Medicine.vala
    NetworkedDataProvider.vala
    Page.vala
    PatientContextMenu.vala
    PatientDetail.vala
    PatientEditorActivatable.vala
    PatientEditor.vala
    PatientEntry.vala
    PatientFilteredStore.vala
    PatientListPage.vala
    PatientListStore.vala
    PatientListView.vala
    Patient.vala
    ResourceManager.vala
    Service.vala
    SettingsManager.vala
    Settings.vala
    Sidebar.vala
    SidebarCalendarEntry.vala
    SidebarEntry.vala
    SidebarPageEntry.vala
    SqliteDataProvider.vala
    SqliteDoctorIterator.vala
    SqlitePatientIterator.vala
    SqliteVisitIterator.vala
    StartPage.vala
    Toolbar.vala
    ToolbarItem.vala
    UIManager.vala
    UserInterfaceActivatable.vala
    UserInterface.vala
    Utils.vala
    VisitActions.vala
    VisitBrowser.vala
    VisitDetail.vala
    VisitFileManager.vala
    VisitListStore.vala
    VisitPage.vala
    VisitPrinter.vala
    VisitSchedulerDialog.vala
    VisitTab.vala
    VisitToolbar.vala
    Visit.vala
    WaitDialog.vala
)

IF (NOT DISABLE_PLUGINS)
  set (LIBCLINICA_PLUGINS_SRC
      PluginEngine.vala
      PluginManager.vala
  )

  set (LIBCLINICA_PLUGINS_SRC_C
      CoreActivatableExtensionSet.c
      PatientEditorExtensionSet.c
      UserInterfaceExtensionSet.c
  )
ENDIF (NOT DISABLE_PLUGINS)

set(LIBCLINICA_PACKAGES
	${CLINICA_USED_PACKAGES}
)

# Libclinica building steps
set (CFLAGS
	${DEPS_CFLAGS}
	${DEPS_CFLAGS_OTHER}
)

vala_precompile (LIBCLINICA_C libclinica-vala
	${LIBCLINICA_SRC}
        ${LIBCLINICA_PLUGINS_SRC}
PACKAGES
	${LIBCLINICA_PACKAGES}
GENERATE_VAPI
	clinica
GENERATE_HEADER
    clinica
OPTIONS
	${CLINICA_VALAFLAGS}
	--thread
	--gir=Clinica-0.3.gir
	--library=Clinica-0.3
)

add_custom_command (
	OUTPUT Resources.c
	COMMAND ${GLIB_COMPILE_RESOURCES} --generate --target Resources.c ${CMAKE_SOURCE_DIR}/data/clinica.gresource.xml --sourcedir ${CMAKE_SOURCE_DIR}/data/resources
)

add_definitions (${CLINICA_USED_CFLAGS})
add_library(clinica SHARED ${LIBCLINICA_C} ${LIBCLINICA_PLUGINS_SRC_C} Resources.c)
set_target_properties (clinica
	PROPERTIES
	VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
	SOVERSION "${MAJOR_VERSION}"
)
target_link_libraries(clinica ${CLINICA_USED_LIBRARIES})

add_custom_command (
	OUTPUT Clinica-0.3.typelib
	COMMAND ${G_IR_COMPILER} --shared-library libclinica.so --output Clinica-0.3.typelib Clinica-0.3.gir
	DEPENDS clinica
)
add_custom_target (clinica-gir ALL DEPENDS Clinica-0.3.typelib)

install (FILES ${CMAKE_BINARY_DIR}/libclinica/Clinica-0.3.gir
	DESTINATION share/gir-1.0
)

install (FILES ${CMAKE_BINARY_DIR}/libclinica/Clinica-0.3.typelib
	DESTINATION lib/girepository-1.0
)

install (TARGETS clinica
	LIBRARY DESTINATION lib
	RUNTIME DESTINATION bin
	ARCHIVE DESTINATION lib)

install (FILES ${CMAKE_BINARY_DIR}/libclinica/clinica.h
	DESTINATION include
)

=== plugins/CMakeLists.txt ===
IF(NOT WINDOWS_BUILD)

set (PLUGINS_DIR
	lib/clinica/plugins
)

# 
# Plugins for Codice Fiscale
#
vala_precompile (CODICE_FISCALE_C libcodicefiscale-vala
		CodiceFiscale.vala
	PACKAGES
		${CLINICA_USED_PACKAGES} clinica
	OPTIONS
		${CLINICA_VALAFLAGS}
		--vapidir=${CMAKE_BINARY_DIR}/libclinica
)

add_library (CodiceFiscale SHARED ${CODICE_FISCALE_C})
add_definitions (${CLINICA_USED_CFLAGS})
target_link_libraries (CodiceFiscale clinica ${CLINICA_USED_LIBRARIES})

install (TARGETS
	CodiceFiscale
	LIBRARY DESTINATION ${PLUGINS_DIR}
)

install (FILES
	CodiceFiscale.plugin
	DESTINATION ${PLUGINS_DIR}
)

#
# Plugins for browsing medicines on Agenzia del Farmaco
#

install (FILES
	AgenziaDelFarmaco.py AgenziaDelFarmaco.plugin
	DESTINATION ${PLUGINS_DIR}
)

ENDIF(NOT WINDOWS_BUILD)

=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("clinica")
add_translations_catalog("clinica" ../libclinica ../clinica ../plugins)

=== data/help/CMakeLists.txt ===
install (FILES

C/index.page
C/clinica-manage-doctors.page
C/clinica-calendar.page
C/clinica-manage-visits.page
C/clinica-manage-patients.page
C/intro.page
C/clinica-search-medicines.page

DESTINATION share/gnome/help/clinica/C)

install (FILES
	C/figures/clinica.svg
	DESTINATION share/gnome/help/clinica/C/figures
)

=== debian/changelog ===
clinica (0.3.0-1) unstable; urgency=low

  * New upstream version of Clinica.
  * Remove explicit dependency on valac-0.16 (Closes: #709719)
  * Correct FTBFS (Closes: #707361)

 -- Leonardo Robol <leo@robol.it>  Mon, 15 Jul 2013 11:27:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,37 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Leonardo Robol <leo@robol.it>
-Build-Depends: debhelper (>= 8), 
-	       python, 
+Build-Depends: debhelper (>= 9), 
+	       cmake,
 	       libglib2.0-dev, 
 	       libgee-dev, 
 	       libsqlite3-dev, 
 	       libgtk-3-dev, 
-	       valac-0.14, 
+               libsoup2.4-dev,
+               libjansson-dev,
+	       valac (>= 0.16), 
 	       intltool (>= 0.35), 
 	       gobject-introspection (>= 0.9), 
-	       libpeas-dev, 
+	       libpeas-dev,
+               librsvg2-dev,
 	       gir1.2-peas-1.0, 
 	       gir1.2-gtk-3.0, 
 	       gir1.2-gee-1.0, 
 	       gir1.2-glib-2.0, 
-Standards-Version: 3.9.2
+	       gir1.2-json-1.0,
+	       gir1.2-soup-2.4,
+               gir1.2-rsvg-2.0
+Standards-Version: 3.9.4
 Homepage: http://launchpad.net/clinica-project
-Vcs-Browser: http://git.debian.org/?p=debian-med/clinica.git
-Vcs-Git: git://git.debian.org/git/debian-med/clinica.git
+Vcs-Bzr: https://code.launchpad.net/+branch/~phcteam/clinica-project/debian
 
 Package: clinica
 Architecture: any
 Depends: ${shlibs:Depends}, 
 	 ${misc:Depends}, 
 	 ${gir:Depends},
-	 gir1.2-clinica-0.2,
+	 gir1.2-clinica-0.3,
 	 clinica-common,
 	 libclinica0
 Description: Simple medical records manager
@@ -37,15 +41,21 @@
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
 
-Package: gir1.2-clinica-0.2
+Package: gir1.2-clinica-0.3
 Architecture: any
 Section: introspection
+Replaces: gir1.2-clinica-0.2
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: Simple medical records manager (gobject introspection files)
  Simple tool for the desktop to mantain medical records.
@@ -53,27 +63,37 @@
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
  .
  This package contains the GObject introspection files.
 
 Package: clinica-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, clinica, gir1.2-clinica-0.2, gir1.2-gee-1.0, gir1.2-gtk-3.0, gir1.2-peas-1.0, clinica-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, clinica, gir1.2-clinica-0.3, gir1.2-gee-1.0, gir1.2-gtk-3.0, gir1.2-peas-1.0, clinica-dev
 Description: Simple medical records manager (plugins)
  Simple tool for the desktop to mantain medical records.
  It is thought to be easy to use and it's mainly addressed to a single doctor.
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
  .
  This package contains the plugins that are shipped with the tarball
@@ -81,17 +101,22 @@
 
 Package: libclinica0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-clinica-0.2
+Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-clinica-0.3
 Description: Simple medical records manager (shared library)
  Simple tool for the desktop to mantain medical records.
  It is thought to be easy to use and it's mainly addressed to a single doctor.
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
  .
  This package contains the shared library with the routines shared by clinica
@@ -106,10 +131,15 @@
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
  .
  This package contains the architecture independent files.
@@ -123,10 +153,15 @@
  .
  It features:
   * Patient management
+ .
   * Doctor management (with associated patients)
+ .
   * Visit creation/editing
+ .
   * Medicine search online (via plugins)
+ .
   * Calendar for events and visits
+ .
   * Extensibility via plugins
  .
  This package contains the headers for the C routines of libclinica.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for clinica

# Hardening support
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs Changelog

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
http://launchpad.net/clinica-project/+download http://launchpad.net/clinica-project/.*/clinica-(.+).tar.bz2 \
    debian debian/get-orig-source
